#!/usr/bin/python3

import re

def get_version(configfile=None):
    res = None
    regex = re.compile(".*OC_Version.*\((\d+),(\d+),(\d+),(\d+).*")
    with open(configfile, "r") as f:
        lines = f.readlines()
    for l in lines:
        res = regex.match(l.strip("\n"))
        if res:
            return ".".join(res.groups())
    return None
