# vim:syntax=yaml
{%- from "acme/map.jinja" import acme with context %}
---
{%- for dir in acme.directories %}
acme-directories-{{ dir }}:
  file.directory:
    - name: {{ dir }}
    - makedirs: true
{%- endfor %}

acme-dh-params:
  cmd.run:
    - name: openssl dhparam -out {{ acme.dh.path }} {{ acme.dh.keysize }}
    - creates: {{ acme.dh.path }}
