# vim:syntax=yaml
{%- from "acme/map.jinja" import acme with context %}
---
{% for k, v in acme.certificates.items() %}
pki-fetched-{{ k }}:
  pki.fetched:
    - name: pki-fetched-nginx
    - url: {{ acme.provider.pki.url }}
    - username: {{ acme.provider.pki.username }}
    - password: {{ acme.provider.pki.password }}
    - domains: {{ v.domains }}
    - provider: {{ v.provider }}
    - certfile: {{ v.certfile }}
    - fullcertfile: {{ v.fullcertfile }}
    - keyfile: {{ v.keyfile }}
{% endfor %}
