#!/usr/bin/env zsh

for arch in amd64 arm64
do
  docker run --rm -v "$PWD":/usr/src/myapp -w /usr/src/myapp -e GO111MODULE=auto -e GOOS=linux -e GOARCH=${arch} golang:buster sh -c "go get github.com/pion/mdns && go get golang.org/x/net/ipv4 && go build -o apt_${arch} apt.go"
done
