---
bareos-fd-config-dir:
  file.directory:
    - name: {{ bareos.config_dir }}
    - user: root
    - group: root
    - mode: 0755

bareos-fd-config:
  file.managed:
    - name: {{ bareos.config_dir }}/bareos-fd.conf
    - source: salt://bareos/templates/bareos-fd.conf.j2
    - user: root
    - group: root
    - mode: 0644
    - template: jinja
    - watch_in:
      - service: bareos-fd-service
    - require:
      - file: bareos-fd-bin
      - file: bareos-fd-config-dir
