---
bareos-fd-service-file:
  file.managed:
    - name: /etc/systemd/system/bareos-fd.service
    - source: salt://bareos/templates/bareos-fd.service.j2
    - user: root
    - group: root
    - template: jinja
    - watch_in:
      - service: bareos-fd-service
    - require:
      - file: bareos-fd-bin

bareos-fd-service:
  service.running:
    - name: bareos-fd
    - enable: true
    - require:
      - file: bareos-fd-service-file
