---
{%- from "chrome/map.jinja" import chrome with context %}

{%- for dir in chrome.directories %}
chrome-directory-{{ dir }}:
  file.directory:
    - name: {{ dir }}
    - makedirs: True
{%- endfor %}

chrome-policies-managed:
  file.managed:
    - name: /etc/opt/chrome/policies/managed/managed_policies.json
    - source: salt://chrome/templates/config.json.j2
    - context:
        config: {{ chrome.config.managed }}
    - template: jinja
