---
{%- from "config/map.jinja" import config with context %}
config-dir:
  file.directory:
    - name: {{ config.install_dir }}
    - user: root
    - mode: "0755"

config-ini-create:
  file.managed:
    - name: {{ config.install_dir }}/{{ config.ini_filename }}
    - user: root
    - mode: "0755"
    - replace: False

config-ini-content:
  ini.options_present:
    - name: {{ config.install_dir }}/{{ config.ini_filename }}
    - separator: '='
    - sections: {{ config.config }}

config-json-content:
  file.managed:
    - name: {{ config.install_dir }}/{{ config.json_filename }}
    - source: salt://config/templates/config.json.j2
    - user: root
    - mode: "0755"
    - template: jinja

config-yaml-content:
  file.managed:
    - name: {{ config.install_dir }}/{{ config.yaml_filename }}
    - source: salt://config/templates/config.yml.j2
    - user: root
    - mode: "0755"
    - template: jinja
