---
{%- from "docker/map.jinja" import docker with context %}

{% for net in docker.networks -%}
docker-network-{{ net }}:
  docker_network.present:
    - name: {{ net }}
{% endfor -%}

{% for k, v in docker.containers.items() -%}
{%- for i, j in v.items() %}
{% if i == "image" -%}
docker-image-{{ j }}:
  docker_image.present:
    - name: {{ j }}
    - force: true
{% endif -%}
{%- endfor %}
{% endfor -%}

{% for k, v in docker.containers.items() -%}
docker-container-{{ k }}:
  docker_container.running:
    - name: {{ k }}
{%- for i, j in v.items() %}
    - {{ i }}: {{ j }}
{%- endfor %}
    - networks: {{ docker.networks }}

{% endfor -%}

#docker.prune:
#  module.run:
#    - docker.prune:
#      - images: True
