---
{%- from "etcd/map.jinja" import etcd with context %}
etcd-config-dir:
  file.directory:
    - name: /etc/etcd

etcd-config:
  file.managed:
    - name: /etc/etcd/etcd.yml
    - source: salt://etcd/templates/etcd.yml.j2
    - template: jinja
    - watch_in:
      - service: etcd-service
