---
{%- from "fuelprices/map.jinja" import fuelprices with context %}
fuelprices-archive-extract:
  archive.extracted:
    - name: {{ fuelprices.release_dir }}/fuelprices-{{ fuelprices.version }}
    - source: {{ fuelprices.mirror }}/{{ fuelprices.version }}/fuelprices-{{ fuelprices.version }}-{{ fuelprices.os }}-{{ fuelprices.arch }}.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ fuelprices.release_dir }}/fuelprices-{{ fuelprices.version }}

fuelprices-binary-symlink:
  file.symlink:
    - name: {{ fuelprices.install_dir }}/fuelprices
    - target: {{ fuelprices.release_dir }}/fuelprices-{{ fuelprices.version }}
    - force: true
    - require:
      - archive: fuelprices-archive-extract

fuelprices-cleanup:
  software.cleanup:
    - name: fuelprices
    - path: {{ fuelprices.release_dir }}
    - version: "{{ fuelprices.version }}"
