# vim: ft=sls
---
{% from "gitea/map.jinja" import gitea with context %}

gitea-config:
  file.managed:
    - name: {{ gitea.configfile }}
    - source: salt://gitea/templates/app.ini.j2
    - template: jinja
    - user: git
    - group: git
    - mode: 600
    - makedirs: true
    - require:
      - git
