---
motd-pkg:
  pkg.installed:
    - name: figlet

{% if salt["file.is_link"]("/etc/motd") %}
motd-file-link-delete:
  file.absent:
    - name: /etc/motd
{% endif %}

motd-file:
  file.managed:
    - name: /etc/motd
    - source: salt://motd/templates/motd.j2
    - template: jinja
