---
{%- from "neovim/map.jinja" import neovim with context %}
neovim-pkg:
  pkg.installed:
    - pkgs:
      - git
      - neovim

neovim-neovimfiles-directory:
  file.directory:
    - name: {{ neovim.plugins_dir }}
    - makedirs: true

neovim-colors-directory:
  file.directory:
    - name: {{ neovim.colors_dir }}
    - makedirs: true

neovim-alternative:
  alternatives.set:
    - name: vim
    - path: /usr/bin/nvim
