---
{%- from "neovim/map.jinja" import neovim with context %}
{%- for name, value in neovim.themes.items() %}
neovim-{{ name }}-theme:
  file.managed:
    - name: {{ neovim.colors_dir }}/{{ name }}.vim
    - source: {{ value.url }}
    - skip_verify: true
    - user: root
    - group: root
    - mode: 0644
    - require:
      - pkg: neovim-pkg
      - file: neovim-colors-directory
{%- endfor %}
