---
{%- from "provision/map.jinja" import provision with context %}
schedule_apply:
  schedule.present:
    - name: schedule_apply
    - function: state.apply
    - minutes: {{ provision.apply_interval_minutes }}
    - run_on_start: false

schedule_highstate:
  schedule.absent:
    - name: schedule_highstate

schedule_saltutil_clear_cache:
  schedule.absent:
    - name: schedule_saltutil_clear_cache
    - function: saltutil.clear_cache
    - days: {{ provision.clear_cache_interval_days }}
    - run_on_start: false
