---
redis-config-dir:
  file.directory:
    - name: /etc/redis
    - user: redis
    - group: redis
    - mode: 0755

redis-config:
  file.managed:
    - name: /etc/redis/redis.conf
    - source: salt://redis/templates/redis.conf.j2
    - user: redis
    - group: redis
    - mode: 0644
    - template: jinja
    - watch_in:
      - service: redis-service
    - require:
      - pkg: redis-install
