---
rsync-config:
  file.managed:
    - name: /etc/rsyncd.conf
    - source: salt://rsync/templates/rsyncd.conf.j2
    - user: root
    - group: root
    - mode: 0640
    - template: jinja
    - watch_in:
      - service: rsync-service
    - require:
      - pkg: rsync-install
