---
{%- from "salt_minion/map.jinja" import salt_minion with context %}
salt-minion-config:
  file.managed:
    - name: /etc/salt/minion
    - source: salt://salt_minion/templates/minion.j2
    - user: root
    - group: root
    - mode: 640
    - template: jinja

salt-minion-reload:
  cron.absent:
    - name: "{{ salt_minion.reload_cmd }}"
    - identifier: salt-minion-reload
    - user: root
    - minute: '*/30'
