---
upgrade_pkg_refresh:
  module.run:
    - name: pkg.refresh_db

upgrade_pkg_upgrade:
  module.run:
    - name: pkg.upgrade

upgrade_pkg_upgrade_dist:
  module.run:
    - name: pkg.upgrade
    - dist: true

upgrade_pip_upgrade:
  module.run:
    - name: pip.install
    - pkgs: pip
    - upgrade: true

upgrade_pip_upgrade:
  module.run:
    - name: pip.install
    - pkgs: salt==3006.9

upgrade_rust_upgrade:
  module.run:
    - name: cmd.run
    - cmd: /home/paul/.cargo/bin/rustup update
    - runas: paul

upgrade_pkg_autoremove:
  module.run:
    - name: pkg.autoremove
    - dist: true
