---
{%- from "vector/map.jinja" import vector with context %}
vector-service-file:
  file.managed:
    - name: /etc/systemd/system/vector.service
    - source: salt://vector/templates/vector.service.j2
    - user: root
    - group: root
    - template: jinja
    - watch_in:
      - service: vector-service

vector-service:
  service.running:
    - name: vector
    - enable: true
