---
vsftpd-config:
  file.managed:
    - name: /etc/vsftpd.conf
    - source: salt://vsftpd/templates/vsftpd.conf.j2
    - user: root
    - group: root
    - mode: "0644"
    - template: jinja
    - watch_in:
      - service: vsftpd-service

vsftpd-service:
  service.running:
    - name: vsftpd
    - enable: true
