---
{%- from "zabbix/map.jinja" import zabbix with context %}
zabbix-server-config:
  file.managed:
    - name: /etc/zabbix/zabbix_server.conf
    - source: salt://zabbix/templates/zabbix_server.conf.j2
    - user: {{ zabbix.server.user }}
    - group: {{ zabbix.server.group }}
    - template: jinja
    - watch_in:
      - service: zabbix-server-service
