---
{%- from "autoconfig/map.jinja" import autoconfig with context %}
autoconfig-directory:
  file.directory:
    - name: {{ autoconfig.install_dir }}/autoconfig
    - user: root
    - group: root
    - mode: 0755

autoconfig-maildir:
  file.directory:
    - name: {{ autoconfig.install_dir }}/autoconfig/mail
    - user: root
    - group: root
    - mode: 0755

autoconfig-file:
  file.managed:
    - name: {{ autoconfig.install_dir }}/autoconfig/mail/config-v1.1.xml
    - source: salt://autoconfig/templates/config-v1.1.xml.j2
    - user: root
    - group: root
    - mode: 0644
    - template: jinja
