---
{%- from "cds/map.jinja" import cds with context %}
cds-engine-install:
  file.managed:
    - name: /usr/bin/cds-engine-{{ salt['pillar.get']('cds:engine:version') }}
    - source: {{ cds.mirror }}/{{ cds.version }}/cds-engine-{{ salt['grains.get']('kernel')|lower }}-{{ salt['grains.get']('osarch') }}
    - skip_verify: true

cds-bin-symlink:
  file.symlink:
    - name: /usr/bin/cds-engine
    - target: /usr/bin/cds-engine-{{ salt['pillar.get']('cds:version') }}
