---
{%- from "clickhouse-backup/map.jinja" import clickhousebackup with context %}
clickhouse-backup-config-dir:
  file.directory:
    - name: {{ clickhousebackup.config_dir }}
    - user: root
    - group: root
    - mode: 700

clickhouse-backup-config-file:
  file.managed:
    - name: {{ clickhousebackup.config_dir }}/config.yml
    - source: salt://clickhouse-backup/templates/config.yml.j2
    - template: jinja
