---
{%- from "dip/map.jinja" import dip with context %}
dip-archive-extract:
  archive.extracted:
    - name: {{ dip.release_dir }}/dip-{{ dip.version }}
    - source: {{ dip.mirror }}/{{ dip.version }}/dip-{{ dip.version }}-{{ dip.os }}-{{ dip.arch }}.tar.gz
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ dip.release_dir }}/dip-{{ dip.version }}
    - watch_in:
      - service: dip-service

dip-binary-symlink:
  file.symlink:
    - name: {{ dip.install_dir }}/dip
    - target: {{ dip.release_dir }}/dip-{{ dip.version }}
    - force: true
    - require:
      - archive: dip-archive-extract
    - watch_in:
      - service: dip-service

dip-cleanup:
  software.cleanup:
    - name: dip
    - path: {{ dip.release_dir }}
    - version: "{{ dip.version }}"
