---
{%- from "dokuwiki/map.jinja" import dokuwiki with context %}
dokuwiki-config-local:
  file.managed:
    - name: {{ dokuwiki.install_dir }}/dokuwiki/conf/local.php
    - source: salt://dokuwiki/templates/local.php.j2
    - user: {{ dokuwiki.user }}
    - group: {{ dokuwiki.group }}
    - template: jinja

dokuwiki-config-acl:
  file.managed:
    - name: {{ dokuwiki.install_dir }}/dokuwiki/conf/acl.auth.php
    - source: salt://dokuwiki/templates/acl.auth.php.j2
    - user: {{ dokuwiki.user }}
    - group: {{ dokuwiki.group }}
    - template: jinja

dokuwiki-config-users:
  file.managed:
    - name: {{ dokuwiki.install_dir }}/dokuwiki/conf/users.auth.php
    - source: salt://dokuwiki/templates/users.auth.php.j2
    - user: {{ dokuwiki.user }}
    - group: {{ dokuwiki.group }}
    - template: jinja
