---
{%- from "etcd/map.jinja" import etcd with context %}
etcd-service-file:
  file.managed:
    - name: /etc/systemd/system/etcd.service
    - source: salt://etcd/templates/etcd.service.j2
    - user: root
    - group: root
    - template: jinja
    - watch_in:
      - service: etcd-service

etcd-service:
  service.running:
    - name: etcd
    - enable: true
