---
{%- from "geoip/map.jinja" import geoip with context %}
{% for dbname in geoip.dbs %}
geoip-install-{{ dbname }}:
  file.managed:
    - name: {{ geoip.basepath }}/{{ dbname }}
    - source: {{ geoip.url }}/{{ geoip.version }}/{{ dbname }}
    - skip_verify: True
    - makedirs: True
    - user: root
    - group: root
    - mode: "0644"
{% endfor %}
