# vim: ft=sls
---
{%- from "gitea/map.jinja" import gitea with context %}

gitea-service:
  file.managed:
    - name: /etc/systemd/system/gitea.service
    - source: salt://gitea/templates/gitea.service.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja
    - makedirs: true

gitea:
  service.running:
    - enable: true
    - full_restart: true
    - watch:
      - file: gitea-bin
      - file: gitea-config
