---
{%- from "gobackup/map.jinja" import gobackup with context %}
gobackup-bin:
  file.managed:
    - name: {{ gobackup.install_dir }}/gobackup
    - source: {{ gobackup.fetch_url }}/gobackup-{{ gobackup.os }}-{{ gobackup.arch }}
    - user: root
    - group: root
    - mode: 0755
    - skip_verify: true
    - if_missing: {{ gobackup.install_dir }}/gobackup

gobackup-backups-path:
  file.directory:
    - name: {{ gobackup.config.models.gobackup.store_with.path }}
    - user: root
    - group: root
    - mode: 700
