---
{%- from "haproxy/map.jinja" import haproxy with context %}
haproxy-service:
  service.running:
    - name: haproxy
    - enable: true
    - reload: true
    - check_cmd:
      - haproxy -f {{ haproxy.config.dir }}/{{ haproxy.config.configfile }} -c
{% if haproxy.acme %}
    - watch:
      - pki: pki-fetched-*
{% endif %}