---
{%- from "influxdb/map.jinja" import influxdb with context %}
influxdb-service-file:
  file.managed:
    - name: /etc/systemd/system/influxdb.service
    - source: salt://influxdb/templates/influxdb.service.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja

influxdb-service:
  service.running:
    - name: influxdb
    - enable: true
