---
{%- from "kubernetes/map.jinja" import kubernetes with context %}
{% for module in kubernetes.required_modules %}
kubernetes-modules-load-{{ module }}:
  cmd.run:
    - name: modprobe {{ module }}
{% endfor %}

kubernetes-modules-loadatstartup:
  file.managed:
    - name: /etc/modules-load.d/kubernetes.conf
    - source: salt://kubernetes/templates/modules.j2
    - template: jinja
