---
{%- from "kubernetes/map.jinja" import kubernetes with context %}
kubernetes-sysctls:
  file.keyvalue:
    - name: /etc/sysctl.conf
    - key_values:
{%- for k,v in kubernetes.sysctls.items() %}
        {{ k }}: {{ v }}
{%- endfor %}
    - separator: '='
    - uncomment: '# '
    - key_ignore_case: True
    - append_if_not_found: True

kubernetes-sysctl-command:
  cmd.run:
    - name: "sysctl --system"
