---
{%- from "mariadb/map.jinja" import mariadb with context %}
mariadb-config-server:
  file.managed:
    - name: /etc/mysql/mariadb.conf.d/51-server.cnf
    - source: salt://mariadb/templates/server.cnf.j2
    - user: root
    - group: root
    - mode: 0644
    - template: jinja
    - require:
      - pkg: mariadb-install-pkgs
      - pip: mariadb-install-pip-pkgs
    - watch_in:
      - service: mariadb-service

mariadb-config-client:
  file.managed:
    - name: /etc/mysql/mariadb.conf.d/51-client.cnf
    - source: salt://mariadb/templates/client.cnf.j2
    - user: root
    - group: root
    - mode: 0644
    - template: jinja
    - require:
      - pkg: mariadb-install-pkgs
      - pip: mariadb-install-pip-pkgs
