---
{%- from "nextcloud/map.jinja" import nextcloud with context %}
{%- for app in nextcloud.apps %}
nextcloud-apps-install-{{ app }}:
  cmd.run:
    - name: php {{ nextcloud.install_dir }}/nextcloud/occ app:install {{ app }}
    - runas: {{ nextcloud.user }}
    - creates: {{ nextcloud.install_dir }}/nextcloud/apps/{{ app }}
    - shell: /usr/bin/bash
{%- endfor %}

nextcloud-apps-update:
  cmd.run:
    - name: php {{ nextcloud.install_dir }}/nextcloud/occ app:update --all
    - runas: {{ nextcloud.user }}
    - shell: /usr/bin/bash
