---
{%- from "php/map.jinja" import php with context %}
{%- if php.config %}
php-config:
  ini.options_present:
    - name: {{ php.config_file }}
    - sections: {{ php.config }}
    - watch_in:
      - service: php-fpm-service
{%- endif %}

{%- if php.fpm.config %}
php-fpm-config:
  ini.options_present:
    - name: {{ php.fpm.config_file }}
    - sections: {{ php.fpm.config }}
    - watch_in:
      - service: php-fpm-service
{%- endif %}

{%- for extension in php.extensions %}
php-extension-enable-{{ extension }}:
  cmd.run:
    - name: phpenmod {{ extension }}
    - watch_in:
      - service: php-fpm-service
{%- endfor %}
