---
{%- from "postfix/map.jinja" import postfix with context %}
postfix-transport-maps:
  file.managed:
    - name: {{ postfix.base_dir }}/transport
    - source: salt://postfix/templates/transport.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja
    - watch_in:
      - service: postfix-service
      - cmd: postfix-transport

postfix-sender-access-maps:
  file.managed:
    - name: {{ postfix.base_dir }}/sender_access
    - source: salt://postfix/templates/sender_access.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja
    - watch_in:
      - service: postfix-service
      - cmd: postfix-sender-access

postfix-transport:
  cmd.run:
    - name: postmap transport
    - cwd: {{ postfix.base_dir }}
    - success_stdout:
      - ""
    - success_retcodes:
      - 0

postfix-sender-access:
  cmd.run:
    - name: postmap sender_access
    - cwd: {{ postfix.base_dir }}
    #- success_stdout:
    #  - ""
    - success_retcodes:
      - 0
