---
{%- from "postgresql/map.jinja" import postgresql with context %}
postgresql-install-base:
  pkg.installed:
    - pkgs:
      - postgresql-{{ postgresql.version }}
      - postgresql-client-{{ postgresql.version }}
      - postgresql-server-dev-{{ postgresql.version }}

postgresql-install-extensions:
  pkg.installed:
    - pkgs:
{%- for extension in postgresql.extensions %}
      - postgresql-{{ postgresql.version }}-{{ extension }}
{%- endfor %}

postgresql-install-misc:
  pkg.installed:
    - pkgs: {{ postgresql.packages }}
