---
{%- from "rainloop/map.jinja" import rainloop with context %}
rainloop-data-dir:
  file.directory:
    - name: {{ rainloop.data_dir }}
    - user: {{ rainloop.user }}
    - group: {{ rainloop.group }}

rainloop-config:
  file.managed:
    - name: {{ rainloop.install_dir }}/rainloop/include.php
    - source: salt://rainloop/templates/include.php.j2
    - user: {{ rainloop.user }}
    - group: {{ rainloop.group }}
    - template: jinja
    - context:
        config_includes:
          - '$sCustomDataPath = "{{ rainloop.data_dir }}";'
          - '$sCustomConfiguration = "";'