---
{%- from "rainloop/map.jinja" import rainloop with context %}
rainloop-archive-extract:
  archive.extracted:
    - name: {{ rainloop.release_dir }}/{{ rainloop.release_filename }}-{{ rainloop.version }}
    - source: {{ rainloop.mirror }}/v{{ rainloop.version }}/{{ rainloop.release_filename }}-{{ rainloop.version }}.zip
    - skip_verify: true
    - enforce_toplevel: false
    - user: {{ rainloop.user }}
    - group: {{ rainloop.group }}
    - if_missing: {{ rainloop.release_dir }}/{{ rainloop.release_filename }}-{{ rainloop.version }}

rainloop-archive-symlink:
  file.symlink:
    - name: {{ rainloop.install_dir }}/rainloop
    - target: {{ rainloop.release_dir }}/{{ rainloop.release_filename }}-{{ rainloop.version }}
    - require:
      - archive: rainloop-archive-extract
