---
{%- from "vim/map.jinja" import vim with context %}
vim-plugin-git-dep:
  pkg.installed:
    - pkgs:
        - git
        - python3-jedi
        - yamllint

vim-plugin-dirs:
  file.directory:
    - name: {{ vim.plugins_dir }}
    - makedirs: true

{%- for key, value in vim.plugins.items() %}
vim-plugin-{{ value.name }}:
  git.latest:
    - name: {{ value.repo }}
    - target: {{ vim.plugins_dir }}/{{ value.name }}
    - submodules: true
{%- endfor %}
