---
{%- from "vim/map.jinja" import vim with context %}
{%- for key, value in vim.themes.items() %}
vim-{{ value.name }}-theme:
  file.managed:
    - name: {{ vim.colors_dir }}/{{ value.name }}.vim
    - source: {{ value.url }}
    - skip_verify: true
    - user: root
    - group: root
    - mode: 0644
    - require:
      - pkg: vim-pkg
      - file: vim-colors-directory
{%- endfor %}